Debian Bug report logs - #649173
pu: package nss-pam-ldapd/0.7.16

version graph

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Arthur de Jong <adejong@debian.org>

Date: Fri, 18 Nov 2011 14:09:02 UTC

Severity: normal

Tags: confirmed

Fixed in version 6.0.4

Done: "Adam D. Barratt" <adam@adam-barratt.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#649173; Package release.debian.org. (Fri, 18 Nov 2011 14:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arthur de Jong <adejong@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 18 Nov 2011 14:09:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Arthur de Jong <adejong@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: pu: package nss-pam-ldapd/0.7.16
Date: Fri, 18 Nov 2011 15:08:16 +0100
[Message part 1 (text/plain, inline)]
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: pu

Dear stable release team,

I would like to upload a new release of nss-pam-ldapd for squeeze that
fixes a bugs that apparently locks some users out of their system. The
bug itself is not a regression in 0.7.15 but it is triggered in some
cases by the stable update. The bug is #645599.

I think there is a similar bug in nslcd although the changes of it
showing up in normal cases is a lot slimmer than in the above bug and
the changes required are much bigger. I will try to get that fixed in
unstable first for a while (it is really tricky to support both
preseeding and properly picking up current configuration in debconf).

Attached is a debdiff.

Thanks,

-- 
-- arthur - adejong@debian.org - http://people.debian.org/~adejong --
[nss-pam-ldapd-0.7.15-0.7.16.debdiff (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#649173; Package release.debian.org. (Tue, 27 Dec 2011 14:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arthur de Jong <adejong@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Tue, 27 Dec 2011 14:03:08 GMT) Full text and rfc822 format available.

Message #10 received at 649173@bugs.debian.org (full text, mbox):

From: Arthur de Jong <adejong@debian.org>
To: 649173@bugs.debian.org
Subject: Re: Bug#649173: pu: package nss-pam-ldapd/0.7.16
Date: Tue, 27 Dec 2011 14:58:27 +0100
[Message part 1 (text/plain, inline)]
On Fri, 2011-11-18 at 15:08 +0100, Arthur de Jong wrote:
> I would like to upload a new release of nss-pam-ldapd for squeeze that
> fixes a bugs that apparently locks some users out of their system. The
> bug itself is not a regression in 0.7.15 but it is triggered in some
> cases by the stable update. The bug is #645599.
> 
> I think there is a similar bug in nslcd although the changes of it
> showing up in normal cases is a lot slimmer than in the above bug and
> the changes required are much bigger. I will try to get that fixed in
> unstable first for a while (it is really tricky to support both
> preseeding and properly picking up current configuration in debconf).

I have two more small changes that I would like to push in an update
(along with the issue above). The diff for both should be obvious and
simple.

The first is an issue with some not-initialised variables to fix an
issue with detecting the uid of the calling process. The problem itself
should only occur when looking up the uid failed for some reason.

The second is typo which shouldn't cause many problems in usual cases.

These two changes along with the previous change are in an updated
attached nss-pam-ldapd-0.7.15-0.7.16.debdiff.

I'm also considering another fix that correctly handles overflows in
numeric values in the LDAP directory correctly. Redhat is using this
patch for some time now but it is a bit more invasive than the other
changes so I'd like your input on this.

Details of this change are in
nss-pam-ldapd-0.7-fix-range-checking.patch.

Thanks,

-- 
-- arthur - adejong@debian.org - http://people.debian.org/~adejong --
[nss-pam-ldapd-0.7.15-0.7.16.debdiff (text/x-patch, attachment)]
[nss-pam-ldapd-0.7-fix-range-checking.patch (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#649173; Package release.debian.org. (Thu, 12 Jan 2012 21:12:56 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 12 Jan 2012 21:13:05 GMT) Full text and rfc822 format available.

Message #15 received at 649173@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Arthur de Jong <adejong@debian.org>, 649173@bugs.debian.org
Subject: Re: Bug#649173: pu: package nss-pam-ldapd/0.7.16
Date: Thu, 12 Jan 2012 22:10:28 +0100
Hi Arthur,

On Fri, Nov 18, 2011 at 15:08:16 +0100, Arthur de Jong wrote:

[...]
> diff -Nru nss-pam-ldapd-0.7.15/debian/libnss-ldapd.config nss-pam-ldapd-0.7.16/debian/libnss-ldapd.config
> --- nss-pam-ldapd-0.7.15/debian/libnss-ldapd.config	2010-09-24 09:07:12.000000000 +0200
> +++ nss-pam-ldapd-0.7.16/debian/libnss-ldapd.config	2011-11-18 13:55:43.000000000 +0100
> @@ -14,11 +14,9 @@
>  #
>  
>  # parse /etc/nsswitch.conf and see which services have ldap specified
> -db_get libnss-ldapd/nsswitch
> -if [ -z "$RET" ]
> +configured=`sed -n 's/^\([a-z]*\):.*[[:space:]]ldap\([[:space:]].*\)\?/\1/p' /etc/nsswitch.conf`
> +if [ -n "$configured" ]
>  then
> -  # find name services that currently use LDAP
> -  configured=`sed -n 's/^\([a-z]*\):.*[[:space:]]ldap\([[:space:]].*\)\?/\1/p' /etc/nsswitch.conf`
>    # separate by commas
>    configured=`echo $configured | sed 's/ /, /g'`
>    # store configured services

Any chance you could consider an upload with *just* the above change
(and a changelog entry), and without the version change noise in the
rest of your diff?

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#649173; Package release.debian.org. (Sun, 15 Jan 2012 08:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to 649173@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sun, 15 Jan 2012 08:51:07 GMT) Full text and rfc822 format available.

Message #20 received at 649173@bugs.debian.org (full text, mbox):

From: Arthur de Jong <adejong@debian.org>
To: Julien Cristau <jcristau@debian.org>
Cc: 649173@bugs.debian.org
Subject: Re: Bug#649173: pu: package nss-pam-ldapd/0.7.16
Date: Sun, 15 Jan 2012 09:47:45 +0100
[Message part 1 (text/plain, inline)]
On Thu, 2012-01-12 at 22:10 +0100, Julien Cristau wrote:
> Any chance you could consider an upload with *just* the above change
> (and a changelog entry), and without the version change noise in the
> rest of your diff?

I could do this but the other two functional changes, although not
affecting many users, are bugs with simple and clear fixes. The range
checking patch is a little bigger though.

Is there any reason the other changes are inappropriate?

I could upload a 0.7.15+squeeze1 package with just the one change
(#645599, no version bumps) if you like but 0.7.16 would be easier for
me to track versions. I'm planning on switching to non-native packaging
to make these things simpler in the future.

Attached is a debdiff for 0.7.15+squeeze1.

Thanks.

-- 
-- arthur - adejong@debian.org - http://people.debian.org/~adejong --
[nss-pam-ldapd-0.7.15-0.7.15+squeeze1.debdiff (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#649173; Package release.debian.org. (Wed, 18 Jan 2012 13:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 18 Jan 2012 13:45:06 GMT) Full text and rfc822 format available.

Message #25 received at 649173@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: <649173@bugs.debian.org>
Cc: Arthur de Jong <adejong@debian.org>, Julien Cristau <jcristau@debian.org>
Subject: Re: Bug#649173: pu: package nss-pam-ldapd/0.7.16
Date: Wed, 18 Jan 2012 13:42:09 +0000
On 15.01.2012 08:47, Arthur de Jong wrote:
> On Thu, 2012-01-12 at 22:10 +0100, Julien Cristau wrote:
>> Any chance you could consider an upload with *just* the above change
>> (and a changelog entry), and without the version change noise in the
>> rest of your diff?
>
> I could do this but the other two functional changes, although not
> affecting many users, are bugs with simple and clear fixes. The range
> checking patch is a little bigger though.
>
> Is there any reason the other changes are inappropriate?

I assume Julien had missed your follow-up with the other patches and 
the "just" was in reference to the upstream changes.  icbw though, of 
course.

> I could upload a 0.7.15+squeeze1 package with just the one change
> (#645599, no version bumps) if you like but 0.7.16 would be easier 
> for
> me to track versions. I'm planning on switching to non-native 
> packaging
> to make these things simpler in the future.

If the two further changes included in the debdiff from 
<1324994307.2556.15.camel@sorbet.thuis.net> are resovled in unstable (if 
appropriate) then I'd be happy to look at including those in a stable 
update.  I have to admit that, like Julien, I would prefer an update 
that only includes the changes relevant to the bug fixes; I appreciate 
this means a little more maintenance burden when you're dealing with a 
native package.

Regards,

Adam




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#649173; Package release.debian.org. (Wed, 18 Jan 2012 21:27:43 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arthur de Jong <adejong@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 18 Jan 2012 21:27:48 GMT) Full text and rfc822 format available.

Message #30 received at 649173@bugs.debian.org (full text, mbox):

From: Arthur de Jong <adejong@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 649173@bugs.debian.org, Julien Cristau <jcristau@debian.org>
Subject: Re: Bug#649173: pu: package nss-pam-ldapd/0.7.16
Date: Wed, 18 Jan 2012 22:26:30 +0100
[Message part 1 (text/plain, inline)]
On Wed, 2012-01-18 at 13:42 +0000, Adam D. Barratt wrote:
> If the two further changes included in the debdiff from 
> <1324994307.2556.15.camel@sorbet.thuis.net> are resovled in unstable (if 
> appropriate) then I'd be happy to look at including those in a stable 
> update.  I have to admit that, like Julien, I would prefer an update 
> that only includes the changes relevant to the bug fixes; I appreciate 
> this means a little more maintenance burden when you're dealing with a 
> native package.

To be clear, there are three changes up for consideration:

(1) is #645599 which is essentially:
    http://arthurdejong.org/viewvc/nss-pam-ldapd/nss-pam-ldapd-0.7/debian/libnss-ldapd.config?r1=1209&r2=1555
(2) is a problem with not-initialised variables which is:
    http://arthurdejong.org/viewvc/nss-pam-ldapd/nss-pam-ldapd-0.7/nslcd/nslcd.c?r1=1209&r2=1559
(3) is a typo in error handling code:
    http://arthurdejong.org/viewvc/nss-pam-ldapd/nss-pam-ldapd-0.7/nslcd/myldap.c?r1=1469&r2=1561

All three fixes were also made in 0.8.5 that are in both unstable and
testing (though the fix for (1) in 0.8.5 was a little more intrusive:
  http://arthurdejong.org/viewvc/nss-pam-ldapd/nss-pam-ldapd/debian/libnss-ldapd.config?r1=1543&r2=1597

I also have a few more fixes that I would also like to fix in a 0.7
version. One of which is the range checking stuff in my second mail to
the bug report and a few more that are contributed by Jakub Hrozek of
Redhat (those patches are used at Redhat). Some of these changes are
more intrusive. Not all of these are in a released 0.8 version yet.

Which of the above fixes are OK for a stable update?

This leaves the question of what version number to use. I could upload a
0.7.16 which would also include updates to the version number in the
code and manual pages (like in the previous debdiffs) or a 
0.7.15+squeeze1 version (which would only also change debian/changelog).

Thanks for considering and thanks for reviewing this stuff,

-- 
-- arthur - adejong@debian.org - http://people.debian.org/~adejong --

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#649173; Package release.debian.org. (Thu, 19 Jan 2012 22:17:21 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 19 Jan 2012 22:17:21 GMT) Full text and rfc822 format available.

Message #35 received at 649173@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Arthur de Jong <adejong@debian.org>, 649173@bugs.debian.org
Cc: Julien Cristau <jcristau@debian.org>
Subject: Re: Bug#649173: pu: package nss-pam-ldapd/0.7.16
Date: Thu, 19 Jan 2012 22:09:57 +0000
On Wed, 2012-01-18 at 22:26 +0100, Arthur de Jong wrote:
> On Wed, 2012-01-18 at 13:42 +0000, Adam D. Barratt wrote:
> > If the two further changes included in the debdiff from 
> > <1324994307.2556.15.camel@sorbet.thuis.net> are resovled in unstable (if 
> > appropriate) then I'd be happy to look at including those in a stable 
> > update.
[...]
> To be clear, there are three changes up for consideration:
> 
> (1) is #645599 which is essentially:
>     http://arthurdejong.org/viewvc/nss-pam-ldapd/nss-pam-ldapd-0.7/debian/libnss-ldapd.config?r1=1209&r2=1555
> (2) is a problem with not-initialised variables which is:
>     http://arthurdejong.org/viewvc/nss-pam-ldapd/nss-pam-ldapd-0.7/nslcd/nslcd.c?r1=1209&r2=1559
> (3) is a typo in error handling code:
>     http://arthurdejong.org/viewvc/nss-pam-ldapd/nss-pam-ldapd-0.7/nslcd/myldap.c?r1=1469&r2=1561

Those are the changes I was referring to above when I said I'd be happy
to look at them, yes.

[...]
> I also have a few more fixes that I would also like to fix in a 0.7
> version. One of which is the range checking stuff in my second mail to
> the bug report and a few more that are contributed by Jakub Hrozek of
> Redhat (those patches are used at Redhat). Some of these changes are
> more intrusive. Not all of these are in a released 0.8 version yet.
> 
> Which of the above fixes are OK for a stable update?

Well, any which are not "in a released 0.8 version yet" certainly
aren't.  The range checking patch could be okay, although given that
we're getting quite close to the end of the window for 6.0.4 I'm tempted
to say we'll look at it for a future update.  Are any of the other
changes you mentioned which are fixed in 0.8 and aren't particularly
intrusive easily reviewable?

> This leaves the question of what version number to use. I could upload a
> 0.7.16 which would also include updates to the version number in the
> code and manual pages (like in the previous debdiffs) or a 
> 0.7.15+squeeze1 version (which would only also change debian/changelog).

As I mentioned, the latter would be preferable as it makes the diff much
cleaner, targetted and easier to review.  In retrospect, we possibly
should have raised that for the earlier updates.

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#649173; Package release.debian.org. (Fri, 20 Jan 2012 10:22:24 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arthur de Jong <adejong@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 20 Jan 2012 10:22:26 GMT) Full text and rfc822 format available.

Message #40 received at 649173@bugs.debian.org (full text, mbox):

From: Arthur de Jong <adejong@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 649173@bugs.debian.org, Julien Cristau <jcristau@debian.org>
Subject: Re: Bug#649173: pu: package nss-pam-ldapd/0.7.16
Date: Fri, 20 Jan 2012 11:16:41 +0100
[Message part 1 (text/plain, inline)]
On Thu, 2012-01-19 at 22:09 +0000, Adam D. Barratt wrote:
> > To be clear, there are three changes up for consideration:
> > 
> > (1) is #645599 which is essentially:
> >     http://arthurdejong.org/viewvc/nss-pam-ldapd/nss-pam-ldapd-0.7/debian/libnss-ldapd.config?r1=1209&r2=1555
> > (2) is a problem with not-initialised variables which is:
> >     http://arthurdejong.org/viewvc/nss-pam-ldapd/nss-pam-ldapd-0.7/nslcd/nslcd.c?r1=1209&r2=1559
> > (3) is a typo in error handling code:
> >     http://arthurdejong.org/viewvc/nss-pam-ldapd/nss-pam-ldapd-0.7/nslcd/myldap.c?r1=1469&r2=1561
> 
> Those are the changes I was referring to above when I said I'd be happy
> to look at them, yes.

Thanks.

> The range checking patch could be okay, although given that we're
> getting quite close to the end of the window for 6.0.4 I'm tempted to
> say we'll look at it for a future update.

Ok.

> Are any of the other changes you mentioned which are fixed in 0.8 and
> aren't particularly intrusive easily reviewable?

The other fixes aren't in a released version yet so they will have to
wait.

> As I mentioned, the latter would be preferable as it makes the diff much
> cleaner, targetted and easier to review.  In retrospect, we possibly
> should have raised that for the earlier updates.

Ok, thanks. I've also been giving it some thought also and a
0.7.15+squeeze1 version would also allow me with some more freedom to
release a new upstream 0.7.16 (not targeted at Debian).

Please let me know if you want me to prepare a debdiff or do an upload
and with which changes.

Thanks for looking into this.

-- 
-- arthur - adejong@debian.org - http://people.debian.org/~adejong --
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#649173; Package release.debian.org. (Fri, 20 Jan 2012 13:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 20 Jan 2012 13:24:06 GMT) Full text and rfc822 format available.

Message #45 received at 649173@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Arthur de Jong <adejong@debian.org>, <649173@bugs.debian.org>
Cc: Julien Cristau <jcristau@debian.org>
Subject: Re: Bug#649173: pu: package nss-pam-ldapd/0.7.16
Date: Fri, 20 Jan 2012 13:22:58 +0000
On 20.01.2012 10:16, Arthur de Jong wrote:
> On Thu, 2012-01-19 at 22:09 +0000, Adam D. Barratt wrote:
>> > To be clear, there are three changes up for consideration:
>> >
>> > (1) is #645599 which is essentially:
>> >     
>> http://arthurdejong.org/viewvc/nss-pam-ldapd/nss-pam-ldapd-0.7/debian/libnss-ldapd.config?r1=1209&r2=1555
>> > (2) is a problem with not-initialised variables which is:
>> >     
>> http://arthurdejong.org/viewvc/nss-pam-ldapd/nss-pam-ldapd-0.7/nslcd/nslcd.c?r1=1209&r2=1559
>> > (3) is a typo in error handling code:
>> >     
>> http://arthurdejong.org/viewvc/nss-pam-ldapd/nss-pam-ldapd-0.7/nslcd/myldap.c?r1=1469&r2=1561
>>
>> Those are the changes I was referring to above when I said I'd be 
>> happy
>> to look at them, yes.
[...]
> Ok, thanks. I've also been giving it some thought also and a
> 0.7.15+squeeze1 version would also allow me with some more freedom to
> release a new upstream 0.7.16 (not targeted at Debian).
>
> Please let me know if you want me to prepare a debdiff or do an 
> upload
> and with which changes.

A debdiff would be great, just for final checks; thanks.

Regards,

Adam




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#649173; Package release.debian.org. (Fri, 20 Jan 2012 14:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arthur de Jong <adejong@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 20 Jan 2012 14:48:03 GMT) Full text and rfc822 format available.

Message #50 received at 649173@bugs.debian.org (full text, mbox):

From: Arthur de Jong <adejong@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 649173@bugs.debian.org, Julien Cristau <jcristau@debian.org>
Subject: Re: Bug#649173: pu: package nss-pam-ldapd/0.7.16
Date: Fri, 20 Jan 2012 15:45:04 +0100
[Message part 1 (text/plain, inline)]
On Fri, 2012-01-20 at 13:22 +0000, Adam D. Barratt wrote:
> A debdiff would be great, just for final checks; thanks.

Attached is a debdiff for 0.7.15+squeeze1 which includes all three
changes as discussed.

Thanks,

-- 
-- arthur - adejong@debian.org - http://people.debian.org/~adejong --
[nss-pam-ldapd-0.7.15-0.7.15+squeeze1.debdiff (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#649173; Package release.debian.org. (Fri, 20 Jan 2012 16:48:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 20 Jan 2012 16:48:14 GMT) Full text and rfc822 format available.

Message #55 received at 649173@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Arthur de Jong <adejong@debian.org>, <649173@bugs.debian.org>
Subject: Re: Bug#649173: pu: package nss-pam-ldapd/0.7.16
Date: Fri, 20 Jan 2012 16:47:48 +0000
tags 649173 + confirmed
thanks

On 20.01.2012 14:45, Arthur de Jong wrote:
> On Fri, 2012-01-20 at 13:22 +0000, Adam D. Barratt wrote:
>> A debdiff would be great, just for final checks; thanks.
>
> Attached is a debdiff for 0.7.15+squeeze1 which includes all three
> changes as discussed.

Please go ahead; thanks.

Regards,

Adam




Added tag(s) confirmed. Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Fri, 20 Jan 2012 16:48:16 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#649173; Package release.debian.org. (Fri, 20 Jan 2012 18:51:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arthur de Jong <adejong@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 20 Jan 2012 18:51:07 GMT) Full text and rfc822 format available.

Message #62 received at 649173@bugs.debian.org (full text, mbox):

From: Arthur de Jong <adejong@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: 649173@bugs.debian.org
Subject: Re: Bug#649173: pu: package nss-pam-ldapd/0.7.16
Date: Fri, 20 Jan 2012 19:48:39 +0100
[Message part 1 (text/plain, inline)]
On Fri, 2012-01-20 at 16:47 +0000, Adam D. Barratt wrote:
> Please go ahead; thanks.

The package was uploaded. Thanks.

-- 
-- arthur - adejong@debian.org - http://people.debian.org/~adejong --
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#649173; Package release.debian.org. (Fri, 20 Jan 2012 22:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 20 Jan 2012 22:27:03 GMT) Full text and rfc822 format available.

Message #67 received at 649173@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Arthur de Jong <adejong@debian.org>, 649173@bugs.debian.org
Subject: Re: Bug#649173: pu: package nss-pam-ldapd/0.7.16
Date: Fri, 20 Jan 2012 22:25:32 +0000
tag 649173 + pending
thanks

On Fri, 2012-01-20 at 19:48 +0100, Arthur de Jong wrote:
> On Fri, 2012-01-20 at 16:47 +0000, Adam D. Barratt wrote:
> > Please go ahead; thanks.
> 
> The package was uploaded. Thanks.

and accepted earlier this evening. :-)

Regards,

Adam





Added tag(s) pending. Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Fri, 20 Jan 2012 22:27:07 GMT) Full text and rfc822 format available.

Bug marked as fixed in version 6.0.4, send any further explanations to Arthur de Jong <adejong@debian.org> Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sat, 28 Jan 2012 14:06:31 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 26 Feb 2012 07:38:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 04:02:03 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.